=begin
#WeFitter API

#This is the WeFitter API

OpenAPI spec version: v1.3
Contact: hello@wefitter.com
Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.38
=end

require 'spec_helper'
require 'json'

# Unit tests for WeFitter::NotificationApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'NotificationApi' do
  before do
    # run before each test
    @instance = WeFitter::NotificationApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of NotificationApi' do
    it 'should create an instance of NotificationApi' do
      expect(@instance).to be_instance_of(WeFitter::NotificationApi)
    end
  end

  # unit tests for notification_send_to_all_create
  # Notification to all profiles in app
  # Send a notification to all registered devices in the app.
  # @param data 
  # @param [Hash] opts the optional parameters
  # @return [Notification]
  describe 'notification_send_to_all_create test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for notification_send_to_profiles_create
  # Notification to specific profiles
  # Send a notification to all registered devices for the specified profiles.
  # @param data 
  # @param [Hash] opts the optional parameters
  # @return [NotificationForProfiles]
  describe 'notification_send_to_profiles_create test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
